# Class WsSubscriberExtension

Namespace
  adas_core.Application.Subscriptions

Assembly
  adas-core.Application.dll

Provides static extension methods to enhance WebSocket subscriber functionality.

    public static class WsSubscriberExtension

Inheritance
  object
  WsSubscriberExtension

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Methods

### Compare(WsSubscriberGrouped, GroupedField, ObjectId)

Determines whether the specified GroupedField and patient identifier match the current WsSubscriberGrouped instance by comparing regularity, since, start time shift, maximum, result sequence, patient identifier, and names (treating a null `r`.Name as an empty string).

    public static bool Compare(this WsSubscriberGrouped source, GroupedField r, ObjectId patientId)

#### Parameters

`source` WsSubscriberGrouped

  The current WsSubscriberGrouped instance being compared.

`r` GroupedField

  The GroupedField to compare against the source.

`patientId` ObjectId

  The patient identifier to match against the source patient identifier.

#### Returns

bool

  `true` if all compared properties are equal; otherwise, `false`.

### IsNewObservationRelevantForGroup(WsSubscriberGrouped, PatientObservation)

Check if the incoming observation affect to the group and is new info or is irrelevant

    public static bool IsNewObservationRelevantForGroup(this WsSubscriberGrouped group, PatientObservation obs)

#### Parameters

`group` WsSubscriberGrouped
`obs` PatientObservation

#### Returns

bool